import { Done } from '../../../../../Class/Functional/Done';
import { Graph } from '../../../../../Class/Graph';
import { Semifunctional } from '../../../../../Class/Semifunctional';
import { System } from '../../../../../system';
import { GraphBundle } from '../../../../../types/GraphClass';
export interface I {
    graph: GraphBundle;
    done: any;
}
export interface O {
    graph: Graph;
}
export default class New extends Semifunctional<I, O> {
    constructor(system: System);
    f({ graph: graphClass }: I, done: Done<O>): void;
    onIterDataInputData(name: string, data: any): void;
}
